System 2.0.0.0 4.0.0.0 System.Net.Cache.RequestCachePolicy

You can specify a default cache policy for your application by using the property or the application or machine configuration files. For more information, see RequestCaching Element (Network Settings).

You can specify the cache policy for an individual request by using the property.

Caching for Web services is not supported.

Defines an application's caching requirements for resources obtained by using objects.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor initializes the property to .

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  The cache synchronization date allows you to specify an absolute date when cached contents must be revalidated. If the cache entry was last revalidated prior to the cache synchronization date, revalidation with the server occurs. If the cache entry was revalidated after the cache synchronization date and there are no server revalidation requirements that make the cached entry invalid, the entry from the cache is used. If the cache synchronization date is set to a future date, the entry is revalidated every time it is requested, until the cache synchronization date passes.

  This constructor initializes the property to . The property is initialized to .

  Initializes a new instance of the class using the specified cache synchronization date.

  A object that specifies the time when resources stored in the cache must be revalidated.
- Constructor
  2.0.0.0
  4.0.0.0

  This constructor initializes the property to .

  The value controls whether caching is enabled, and when the cache can be used. For additional information, see the documentation.

  Initializes a new instance of the class using the specified cache policy.

  An value.
- Constructor
  2.0.0.0
  4.0.0.0

  The value defines the meaning of the parameter value and is used to set the associated property. For example, when you specify , the property is set to the value of the parameter.

  This constructor initializes the property to .

  Initializes a new instance of the class using the specified age control and time values.

  One of the following enumeration values: , , or .
  A value that specifies an amount of time. See the Remarks section for more information.
- Constructor
  2.0.0.0
  4.0.0.0

  The value is used to interpret the meaning of the parameter value and set the associated property. For example, when you specify , the property is set to the value of the parameter. When you specify , the property is set using the value of the parameter and the property is set using the value of the parameter.

  Note that unless you specify or , the property is not set.

  This constructor initializes the property to .

  Initializes a new instance of the class using the specified maximum age, age control value, and time value.

  An value.
  A value that specifies the maximum age for resources.
  A value that specifies an amount of time. See the Remarks section for more information.
- Constructor
  2.0.0.0
  4.0.0.0

  The value is used to interpret the meaning of the parameter value and set the associated property. For example, when you specify , the property is set to the value of the parameter. When you specify , the property is set using the value of the parameter and the property is set using the value of the parameter.

  Note that unless you specify or , the property is not set.

  This constructor initializes the property to , and initializes the property to .

  Initializes a new instance of the class using the specified maximum age, age control value, time value, and cache synchronization date.

  An value.
  A value that specifies the maximum age for resources.
  A value that specifies an amount of time. See the Remarks section for more information.
  A object that specifies the time when resources stored in the cache must be revalidated.
- Property
  2.0.0.0
  4.0.0.0
  System.DateTime To be added.

  The cache synchronization date allows you to specify an absolute date when cached contents must be revalidated. If the cache entry was last revalidated prior to the cache synchronization date, revalidation with the server occurs. If the cache entry was revalidated after the cache synchronization date and there are no server revalidation requirements that make the cached entry invalid, the entry from the cache is used. If the cache synchronization date is set to a future date, the entry is revalidated every time it is requested, until the cache synchronization date passes.

  Gets the cache synchronization date for this instance.

- Property
  2.0.0.0
  4.0.0.0
  System.Net.Cache.HttpRequestCacheLevel To be added.

  Applications typically use as their cache policy level. The property, if not null, determines the cache policy in effect for a request. The default policy for the application domain can be set using the property or by settings in the machine or application configuration files. For more information, see RequestCaching Element (Network Settings).

  Gets the value that was specified when this instance was created.

- Property
  2.0.0.0
  4.0.0.0
  System.TimeSpan To be added.

  If the cached copy of the resource is older than the specified time value, the resource must be revalidated. The value for this property is specified when the instance is constructed.

  Gets the maximum age permitted for a resource returned from the cache.

- Property
  2.0.0.0
  4.0.0.0
  System.TimeSpan To be added.

  This property specifies the amount of time after content expiration during which the cached copy of the resource is acceptable. The value for this property is specified when the instance is constructed.

  Gets the maximum staleness value that is permitted for a resource returned from the cache.

- Property
  2.0.0.0
  4.0.0.0
  System.TimeSpan To be added.

  This value specifies the amount of time before content expiration, during which the cached copy of the resource is acceptable. The value for this property is specified when the instance is constructed.

  Gets the minimum freshness that is permitted for a resource returned from the cache.

- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.String

  The string contains a label that identifies the property, followed by a colon (":") and the value. Properties are separated by a single space.

  Returns a string representation of this instance.

  A value that contains the property values for this instance.